// FilePro.h: interface for the CFilePro class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEPRO_H__3D5A8AA2_5CA6_481D_B14D_5B1074EA0304__INCLUDED_)
#define AFX_FILEPRO_H__3D5A8AA2_5CA6_481D_B14D_5B1074EA0304__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define BUFFERSIZE 1024
//#define BUFFERSIZE 4

class CFilePro:public CFile
{
protected:
bool  LastBlock;
DWORD BlockLoc;
DWORD BlockSize;
BYTE  Buffer[BUFFERSIZE];

	void ReadBlockAt(DWORD bl);
public:
	DWORD DifferAt(CFilePro &file,DWORD *pos2);
	bool SyncedAt(CFilePro &file,DWORD *sloc,int earlyout=-1);
	BYTE GetByte(DWORD loc);
	unsigned __int64 CRC();
	CFilePro();
	virtual ~CFilePro();

};

#endif // !defined(AFX_FILEPRO_H__3D5A8AA2_5CA6_481D_B14D_5B1074EA0304__INCLUDED_)
